name:                 os-string
version:              2.0.2
visibility:           public
id:                   os-string-2.0.2-inplace
key:                  os-string-2.0.2-inplace
license:              BSD-3-Clause
copyright:            Julain Ospald 2021-2023
maintainer:           Julian Ospald <hasufell@posteo.de>
author:               Julian Ospald <hasufell@posteo.de>
homepage:             https://github.com/haskell/os-string/blob/master/README.md
synopsis:             Library for manipulating Operating system strings.
description:
    This package provides functionality for manipulating @OsString@ values, and is shipped with <https://www.haskell.org/ghc/ GHC>.

category:             System
abi:                  ee3c4811d9a7ddc3ed4c9ef648dd264c
exposed:              True
exposed-modules:
    System.OsString System.OsString.Data.ByteString.Short
    System.OsString.Data.ByteString.Short.Internal
    System.OsString.Data.ByteString.Short.Word16
    System.OsString.Encoding System.OsString.Encoding.Internal
    System.OsString.Internal System.OsString.Internal.Types
    System.OsString.Posix System.OsString.Windows

import-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/os-string-2.0.2-inplace

library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/os-string-2.0.2-inplace

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/os-string-2.0.2-inplace

dynamic-library-dirs: ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1
data-dir:
    ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/os-string-2.0.2

hs-libraries:         HSos-string-2.0.2-inplace
depends:
    base-4.20.0.0-inplace bytestring-0.12.1.0-inplace
    deepseq-1.5.0.0-inplace exceptions-0.10.7-inplace
    template-haskell-2.22.0.0-inplace

haddock-interfaces: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/os-string-2.0.2-inplace/os-string.haddock"


haddock-html: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/os-string-2.0.2-inplace"
